Introduction

vMix Replay is a powerful Instant Replay system that adds full slow motion replay capabilities to vMix for up to four camera inputs.

Features

  • Four channel continuous recording of up to four camera inputs including audio.
  • Recordings are industry standard MPEG-2 I-Frame MPG files at up to full HD 1080 with Progressive and Interlaced support.
  • Audio is recorded as uncompressed 48khz 16 bit stereo PCM
  • Two channel simultaneous playback of recorded footage with dynamic camera angle switching.
  • Precise slow motion playback control from 10 to 100%.
  • Reverse playback and frame by frame control.
  • Four Events lists are available that can each include an unlimited number of Mark In and Mark Out points that can be added on the fly and changed at any time.
  • Each event can have a default camera angle selected for playback and text comments can also be included with each angle for easy recall.
  • Easily playback entire Events lists or selected entries as a highlight reel, complete with transition effects and background music.
  • Auto mark in / out controls allow quick event creation with the click of a button with 5, 10 and 20 second presets.
  • Keyboard shortcut support for all replay functions
  • Many hardware control options available including Scroll Wheel slow motion control and Contour ShuttlePro support.
  • Export events to separate video files on the fly, or use the recordings straight away in your favorite video editor without conversion.
  • Use vMix Replay as a dedicated instant replay system or incorporate it into your existing vMix based production.

Copyright © 2015 StudioCoast Pty Ltd. All Rights Reserved.


Downloading the help file

Follow the steps below to download a local copy of this help file.

1. Click here to download the Help File

2. Open the help file and when the security window appears, uncheck the "Always ask before opening this file" box.
This box must be unticked otherwise the help file will not work.

If the box has not been unchecked the following error will appear


System Requirements

The table below shows the minimum requirements to use vMix Replay.

 | One Channel HD | Four Channel HD
Operating System | Windows 7 or higher (64 bit only) | Windows 7 or higher (64 bit only). Windows 8.1 or higher recommended
CPU | Quad Core 3.4 Ghz | Quad Core 4.0 Ghz (Six Core 3.6 Ghz highly recommended)
Memory | 8GB | 8GB
Graphics Card | NVIDIA 750 1GB | NVIDIA 760 2GB
Storage | Dedicated SSD for Replay 200GB and higher. | Dedicated SSD for Replay 500GB and higher. 1TB recommended.
Storage Connection | Internal SATA only | Internal SATA 3 and higher only.

Camera Requirements

Instant Replay requires cameras to be connected to a capture card.

This includes HDMI and SDI cameras connected to a capture card either via PCI Express, Thunderbolt or USB 3.0.

Webcams, IP cameras, and other types of video sources are not directly supported.

To use these types of inputs, the "Output" camera option can be selected in the Instant Replay settings.

Output will capture everything that is currently playing to the output in vMix.


Getting Started

To begin using vMix Replay, first add all of the cameras you will be using to vMix as inputs.

Next, click Add Input and select the Instant Replay tab as shown below:

Important: Click here to see the Instant Replay system requirements.

Session Folder

This is the location where all Instant Replay recordings will be saved.

This must be dedicated SSD based storage

After selecting a folder, vMix will display an estimated recording time based on the selected recording format and bit rate.

Recording Format

The recording format must match all camera sources that will be used.

The last mbps setting represents the bit rate quality of the recordings. 100Mbps is recommended for broadcast quality recordings, but lower settings can be selected if there is limited SSD space available.

A four camera 100Mbps production will need around 530GB for three hours while a two camera 50Mbps production will fit up to 12 hours in the same amount of space.

Automatically delete prior video when disk space is low

vMix Replay automatically splits each camera recording every 20 minutes.

If disk space is running low, vMix Replay can automatically delete the earliest 20 minutes of the recording to continue.

Note that any events that occurred in this deleted video will be lost.

If this option is left unticked, vMix Replay will automatically stop recording and notify the user that the disk space is low.

Cameras

Select any Camera input already added to vMix here, if you add an input later on you can revisit this configuration window by clicking the cog icon in the Instant Replay Controller window.

Output is also supported as one of the four camera inputs, and will record all video and audio playing in the vMix output just like a standard recording.

Playback Audio Source

This is the audio source vMix will use when playing back events.

Master can be selected which represents the master audio mix at the time the event being played back occurred.

In Transition

Select the transition to use when playing back events. This can be a standard transition, or optionally any stinger that has already been configured.

Out Transition

Select the transition to use once the event playback has completed.

Event Transition

Select the transition to use between each event when more than one event is selected for playback, such as in a highlight reel.


Workflow Overview

Once a new Instant Replay session has been configured and added to vMix (See Getting Started )

two new Inputs will appear. Replay A and Replay B.

These are two playback channels that can be used to play previously recorded footage at any time.

Each can have a camera angle assigned from any of the recorded cameras and these can be switched live.

Basic Replay Example

Consider a basketball game where the live Camera 1 is currently selected into the vMix output.

1. Make sure vMix Replay is recording by clicking the record button [image] so it lights up red.

2. When a team scores a goal, click the -5 button [image] to instantly create a replay.

3. When you are ready to play back that goal, click the automatic replay button [image] .

This will transition input A to output, play the event then transition back to Camera 1 when completed.

While the event is playing, try moving the scroll wheel on your mouse to change the playback speed.

Advanced Replay

The example above allows you create quick replays of a single camera with only a single click.

But what if you want to playback one or more previous events or change camera angles and add notes?

The Main Interface can be displayed by clicking the vMix Replay button [image] located next to the Audio Mixer button

on the bottom right hand side of the main vMix window.

See User Interface Overview for the controls available.


Live and Recorded modes

Events are created in two modes based on the color of the Live button in the Instant Replay Controller

Live Mode (RED)

When in Live Mode, all new events are created are based on

the current time "as it happens" on the live cameras.

Starting a recording will turn on Live Mode automatically.

Recorded Mode

When in Recorded Mode, all new events are created based on the time displayed above the position bar

in the Instant Replay controller.

This allows the operator to move the position bar back and forth through previous video to create events that may have been missed live.

TIP: Be sure to enable Live Mode again when finished if you are in the middle of a recording


User Interface Overview

vMix Replay includes a centralized Instant Replay Controller that can either be docked to the main vMix window or opened separately.

Main Interface

Mini Interface

The mini interface is located next to the Instant Replay channel "A" input and includes common controls such as recording, quick 5 second or 10 second mark in / out buttons,

a playback last event button and a settings button.

Slow motion can also be controlled here in addition to the main interface.


Control Options

Contour ShuttlePro v2

The ShuttlePro has 14 configurable buttons in addition to the Jog and Shuttle wheels.

To assign these buttons to shortcuts use the "ReplayA" to "ReplayO" Key options when creating a Shortcut in vMix.

See Shortcut Reference for a list of Instant Replay related functions that can be assigned.

Keyboard

A number of keyboard shortcuts can be configured using the existing Shortcuts feature in vMix.

For a full list of what is available see Shortcut Reference.

Mouse

The mouse scroll wheel can be used at any time in the following ways:

With Shift key pressed: Slow down or speed up playback

With Ctrl key pressed: Move backwards or forwards one frame at a time.

With Alt key pressed: Move backwards or forwards one second at a time.


Shortcut Reference

The shortcuts below can be configured as keyboard shortcuts to allow easy control of common Instant Replay functions.

ReplayStartRecording |
ReplayStopRecording |
ReplayMarkIn | Create a new event with the In Point set to the current time (when live), or the time displayed in the Replay Controller (when in recorded mode)
ReplayMarkInRecorded ReplayMarkInLive | Create a new event with the In Point set to either the current time or the time displayed in the Replay Controller
ReplayMarkOut | Complete an event started with ReplayMarkIn and set the Out Point to the time described in Live and Recorded modes
ReplayMarkInOut | Create an event with Value specifying the number of previous seconds to use according to the time described in Live and Recorded modes
ReplayMarkInOutLive ReplayMarkInOutRecorded | Create an event With Value specifying the number of previous seconds to use from either the current time or the time displayed in the Replay Controller
ReplayMoveSelectedInPoint | Set Value to the number of frames (positive or negative) to add to the InPoint of the selected event
ReplayMoveSelectedOutPoint | Set Value to the number of frames (positive or negative) to add to the OutPoint of the selected event
ReplayLive | Set all new event timing to Live mode. See Live and Recorded modes
ReplayRecorded | Set all new event timing to Recorded mode. See Live and Recorded modes
ReplayLiveToggle | Toggle between Live and Recorded modes.See Live and Recorded modes
ReplayACamera1,2,3,4 | Change camera angle for playback channel A
ReplayBCamera1,2,3,4 | Change camera angle for playback channel B
ReplaySelectEvents1,2,3,4 | Select the Event List to display in the Instant Replay Controller and to use as a reference for any related controls
ReplayPlayEvent | Set Value to a positive number starting from 0 where 0 is the most recent event and 1 is the next most recent and so on.
ReplayPlayEventToOutput | Same as ReplayPlayEvent but this will also automatically transition Replay A to output if it is not already.
ReplayPlayLastEvent | Play the most recent event (based on time)
ReplayPlayLastEventToOutput | Same as ReplayPlayLastEvent but this will automatically transition Replay A to output if it is not already.
ReplayPlaySelectedEvent | Play all of the selected events in the current Events list
ReplayPlaySelectedEventToOutput | Same as ReplayPlaySelectedEvent but this will automatically transition Replay A to output if it is not already.
ReplayShowHide | Show/hide the Instant Replay Controller interface.
ReplayChangeDirection | Change current playback direction
ReplaySetLastEventText | Set text of the most recent event (based on time) to Value
ReplaySetSelectedEventText | Set text of the selected event to Value
ReplayPlayPause | This is the same as the PlayPause shortcut except it will always apply to the Replay regardless of what Input is selected for the shortcut.
ReplayJumpFrames | Specify Value as the number of frames, positive or negative to jump
ReplayChangeSpeed | Specify Value as a number, positive or negative, to subtract from the current playback speed. For example 0.5 will increase current speed by 50%
ReplayExportLastEvent | Export last event (based on time) as a separate video file. This will default to the export folder in the Replay Session Folder, otherwise Value can be used to specify a custom folder.
ReplaySelectNextEvent | Move to next item in the currently selected Event list
ReplaySelectPreviousEvent | Move to previous item in the currently selected Event list
ReplayPlayNext | Transition to next event or angle in the currently playing events list
ReplayPlayPrevious | Transition to the previous event or angle in the currently playing events list
ReplayMoveLastEvent | Specify Value as the number from 0 to 3 specifying the Events list to move the last event (based on time).
ReplayMoveSelectedEvent | Specify Value as the number from 0 to 3 specifying the Events list to move the selected events
ReplayToggleLastEventCamera1,2,3,4 | Toggle on or off playing back the Camera 1,2,3 or 4 of the last event.
ReplayToggleSelectedEventCamera1,2,3,4 | Toggle on or off playing back the Camera 1,2,3 o 4 of the selected event.
ReplayStopEvents | Stop any currently playing events.